DefaultMimeTypeResolver (Grails 2.3.8)
Date: 2014-04-24

Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.mime
[Groovy] Class DefaultMimeTypeResolver

    java.lang.Object
      org.codehaus.groovy.grails.web.mime.DefaultMimeTypeResolver

All Implemented Interfaces:
  MimeTypeResolver

    @groovy.transform.CompileStatic
    class DefaultMimeTypeResolver
    extends java.lang.Object

Resolves the MimeType instance for a request

Authors:
  Graeme Rocher

Since:
  2.3

Property Summary
`RequestMimeTypesApi` | `requestMimeTypesApi`
`ResponseMimeTypesApi` | `responseMimeTypesApi`

Method Summary
`MimeType` | `resolveRequestMimeType(GrailsWebRequest webRequest = GrailsWebRequest.lookup()` Resolve the MimeType to be used for the request, typically established from the CONTENT_TYPE header
`MimeType` | `resolveResponseMimeType(GrailsWebRequest webRequest = GrailsWebRequest.lookup()` Resolve the MimeType to be used for the response, typically established from the ACCEPT header

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### requestMimeTypesApi

    @org.springframework.beans.factory.annotation.Autowired
    RequestMimeTypesApi requestMimeTypesApi

### responseMimeTypesApi

    @org.springframework.beans.factory.annotation.Autowired
    ResponseMimeTypesApi responseMimeTypesApi

Method Detail

### resolveRequestMimeType

    @java.lang.Override
    MimeType resolveRequestMimeType(GrailsWebRequest webRequest = GrailsWebRequest.lookup()

  Resolve the MimeType to be used for the request, typically established from the CONTENT_TYPE header
  Returns:
    the MimeType
  Since:
    2.3

### resolveResponseMimeType

    @java.lang.Override
    MimeType resolveResponseMimeType(GrailsWebRequest webRequest = GrailsWebRequest.lookup()

  Resolve the MimeType to be used for the response, typically established from the ACCEPT header
  Returns:
    the MimeType
  Since:
    2.3

Groovy Documentation